/*Demonstration of blc_program API*/

#include "blc_program.h"

void display_test_text(char const*, void*user_data){
    char const* text_to_display=(char const*)user_data;
    
    fprintf(stderr, "\nTEST:%s\n\n", text_to_display);
}

void display_argument(char const* argument, void*user_data){
    fprintf(stderr, "\nARGUMENT:%s\n\n", argument);
}

int main( int argc, char **argv){
    char const*data_to_pass="Here the text to display";

    fprintf(stderr, "Test BLC_COMMAND_LOOP for interactive actions with the terminal\n");
    
    blc_command_add("t", display_test_text, NULL, "Call a function which display the test text", (void*)data_to_pass);
    blc_command_add("a", display_argument, "argument to display", "Call a function which display the text passed as argument", NULL);

    //Wait for keyboard and loop till 'q' or Ctrl-C
    //-2 execute the loop once and wait for keboard
    //-1 wait for keyboard
    //>=0 loop without blocking at the period given in µs (0 as fast as possible)
    
    BLC_COMMAND_LOOP(-2){
        blc_command_display_help(); //Display the help on the list of command
    }
    return EXIT_SUCCESS;
}
